# pn_igmp_snooping – CLI command to modify igmp-snooping

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to modify Internet Group Management Protocol (IGMP) snooping.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.

pn_enable
boolean

Choices:
- no
- yes

enable or disable IGMP snooping.

pn_enable_vlans string |  | enable per VLAN IGMP snooping.
pn_igmpv2_vlans string |  | VLANs on which to use IGMPv2 protocol.
pn_igmpv3_vlans string |  | VLANs on which to use IGMPv3 protocol.
pn_no_snoop_linklocal_vlans string |  | Remove snooping of link-local groups(224.0.0.0/24) on these vlans.
pn_query_interval string |  | IGMP query interval in seconds.
pn_query_max_response_time string |  | maximum response time, in seconds, advertised in IGMP queries.

pn_scope
-

Choices:
- local
- fabric

IGMP snooping scope - fabric or local.

pn_snoop_linklocal_vlans string |  | Allow snooping of link-local groups(224.0.0.0/24) on these vlans.

pn_vxlan
boolean

Choices:
- no
- yes

enable or disable IGMP snooping on vxlans.

state
string / required

Choices:
- update

State the action to perform. Use `update` to modify the igmp-snooping.

## Examples

    - name: 'Modify IGMP Snooping'
      pn_igmp_snooping:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_vxlan: True
        pn_enable_vlans: '1-399,401-4092'
        pn_no_snoop_linklocal_vlans: 'none'
        pn_igmpv3_vlans: '1-399,401-4092'

    - name: 'Modify IGMP Snooping'
      pn_igmp_snooping:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_vxlan: False
        pn_enable_vlans: '1-399'
        pn_no_snoop_linklocal_vlans: 'none'
        pn_igmpv3_vlans: '1-399'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the igmp-snooping command.
stdout list | always | set of responses from the igmp-snooping command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.